Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 182230 - Add support for specifying .icns icon path as the property for the platform-based application
Add support for specifying .icns icon path as the property for the platform-b...
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
6.x
Macintosh Mac OS X
: P3 (vote)
: 6.x
Assigned To: dlipin
issues@apisupport
:
Depends on:
Blocks: 182232
  Show dependency treegraph
 
Reported: 2010-03-17 15:42 UTC by dlipin
Modified: 2010-04-06 10:53 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
patch (926 bytes, patch)
2010-03-17 15:42 UTC, dlipin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dlipin 2010-03-17 15:42:11 UTC
Created attachment 95317 [details]
patch

For now, ${app.icon} can be used to specify applications icon in .png/.gif format. That will be used as the icon for the application's main window.

When mac's .app infrastructure is created using "build-mac" target, default icon is used - ${harness.dir}/etc/applicationIcon.icns. There is no ability to specify path to the icon directly and developers have to override build-mac target completely. Please add support for specifying it via a property, proposed patch attached.
Comment 1 Jesse Glick 2010-03-17 16:33:28 UTC
I cannot even test Mac-specific patches, so you're on your own. If you do introduce a new property, please document it incl. "[since ...]" in apisupport.harness/release/README.
Comment 2 dlipin 2010-03-18 12:21:43 UTC
core-main#9ab12a305ec4
Comment 3 Quality Engineering 2010-03-19 05:13:07 UTC
Integrated into 'main-golden', will be available in build *201003190200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9ab12a305ec4
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #182230 Add support for specifying .icns icon path as the property for the platform-based application


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo